Skip to main content
GET
/
batch-lookups
List Batch Jobs
curl --request GET \
  --url https://api.incentives.leap.energy/alpha/batch-lookups \
  --header 'x-api-key: <api-key>'
{
  "jobs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "pending",
      "total_items": 123,
      "processed_items": 123,
      "failed_items": 123,
      "report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "item_counts": {
        "pending": 123,
        "processing": 123,
        "completed": 123,
        "failed": 123
      }
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.incentives.leap.energy/llms.txt

Use this file to discover all available pages before exploring further.

Overview

List batch jobs with optional filtering by status (pending, processing, completed, failed, cancelled) and pagination via limit and offset.

Authorizations

x-api-key
string
header
required

API key for authentication. Include your Leap API key in the x-api-key header: x-api-key: leap_live_...

Query Parameters

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
limit
integer
default:20
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

List of batch jobs

jobs
object[]
total
integer
limit
integer
offset
integer